Skip to main content
GET
Describe a Condition

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

condition
string
required

Policy Condition ID

Query Parameters

filter
string
include
string

Response

PolicyConditionDetailedResponseData

id
string
required
Example:

"pocon_01hq8xyzabc123def456ghi789"

is_imported
boolean
required

Whether this condition was created automatically when a Workspace Integration attribute was imported. If false, the condition was created manually by an administrator

type
enum<string>
required

The type of condition that this policy condition represents

Available options:
attribute,
identity,
manager,
user,
unmanaged
resource_id
string
required

The ID of the resource based on the type of condition

Examples:

"dratr_01hq8xyzabc123def456ghi789"

"drusr_01hq8xyzabc123def456ghi789"

"wsitg_01hq8xyzabc123def456ghi789"

profile_key
string
required

The reference key for the condition based on its type. Except for identity type conditions, condition matching uses database relationships based on the resource ID (not string matching). This value is fetched in real time based on the resource ID for human readability (not stored in condition database table).

  • identity: Identity profile array raw key that is used for string matching. This is usually the same as the profile_key on a dimension.
  • attribute: Name of Directory Dimension that the attribute is associated with.
  • manager: null
  • user: null
Examples:

"department"

"Department"

profile_operator
enum<string> | null
required

The operator for the condition based on its type. All conditions are case insensitive and are converted to lowercase for matching

Available options:
equals,
not,
empty,
exists,
greater,
less,
prefix,
suffix,
contains
Example:

"equals"

profile_value
string | null
required

The reference value for the condition based on its type. Except for identity type conditions, condition matching uses database relationships based on the resource ID (not string matching). This value is fetched in real time based on the resource ID for human readability (not stored in condition database table).

  • identity: Identity profile array raw value that is used for string matching
  • attribute: Name of the Directory Attribute for the respective Dimension
  • manager: Full name of the manager user
  • user: Full name of the user
Examples:

"IT Helpdesk"

"IT Helpdesk"

"Kate Libby"

"Dade Murphy"

description
string | null
required

A human readable description of the condition

timestamp
TimestampBasicData · object
required

The timestamps for the policy condition record

count
object
required

Count of related resources

included
object
required

Included related resources

API hyperlinks related to the policy condition record

Example: